RDCatalog Namespace Reference

## Classes

class | Catalog
| abstract base class for a catalog object More...
class | CatalogEntry
| Abstract base class to be used to represent an entry in a Catalog. More...
class | CatalogParams
| abstract base class for the container used to create a catalog More...
class | HierarchCatalog
| A Catalog with a hierarchical structure. More...

## Variables

const int | versionMajor = 1
const int | versionMinor = 0
const int | versionPatch = 0
const int | endianId = 0xDEADBEEF

## Variable Documentation

## endianId

const int RDCatalog::endianId = 0xDEADBEEF

Definition at line 35 of file Catalog.h.

Referenced by RDCatalog::HierarchCatalog< entryType, paramType, orderType >::toStream().

## versionMajor

const int RDCatalog::versionMajor = 1

Definition at line 32 of file Catalog.h.

Referenced by RDCatalog::HierarchCatalog< entryType, paramType, orderType >::toStream().

## versionMinor

const int RDCatalog::versionMinor = 0

Definition at line 33 of file Catalog.h.

Referenced by RDCatalog::HierarchCatalog< entryType, paramType, orderType >::toStream().

## versionPatch

const int RDCatalog::versionPatch = 0

Definition at line 34 of file Catalog.h.

Referenced by RDCatalog::HierarchCatalog< entryType, paramType, orderType >::toStream().